MVP.PCA {rMVP} | R Documentation

## Principal Component Analysis

### Description

Build date: Dec 14, 2016 Last update: Oct 29, 2018

### Usage

    MVP.PCA(M = NULL, K = NULL, priority = c("speed", "memory"),
      pcs.keep = 5, cpu = 1, verbose = TRUE)

### Arguments

`M` | Genotype in numeric format, pure 0, 1, 2 matrix; m * n, m is marker size, n is population size
`K` | kinship matrix
`priority` | speed or memory
`pcs.keep` | maximum number of PCs for output
`cpu` | the number of cpu
`verbose` | whether to print detail.

### Value

Output: PCs - a n * npc matrix of top number of PCs, n is population size and npc is @param pcs.keep

### Author(s)

Xiaolei Liu, Lilin Yin and Haohao Zhang

### Examples

    genoPath <- system.file("extdata", "06_mvp-impute", "mvp.imp.geno.desc", package = "rMVP")
    genotype <- attach.big.matrix(genoPath)
    print(dim(genotype))

    pca <- MVP.PCA(M=genotype)
    str(pca)

[Package rMVP version 0.99.15 Index]